summaryrefslogtreecommitdiffstats
path: root/testsuite
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 15:35:56 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 15:35:56 +0000
commit68e0e5c64ebe512f6b2e48893763ab38879ed84e (patch)
treeeaf9638c29d1039bf9adcda8f9aa669291e208f3 /testsuite
parentAdding debian version 1.1~pre1-1. (diff)
downloadplzip-68e0e5c64ebe512f6b2e48893763ab38879ed84e.tar.xz
plzip-68e0e5c64ebe512f6b2e48893763ab38879ed84e.zip
Merging upstream version 1.1.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite')
-rwxr-xr-xtestsuite/check.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index 05ab346..500636c 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -43,6 +43,10 @@ if [ $? = 2 ] ; then printf . ; else fail=1 ; printf - ; fi
if [ $? = 2 ] ; then printf . ; else fail=1 ; printf - ; fi
"${LZIP}" -cdq < in
if [ $? = 2 ] ; then printf . ; else fail=1 ; printf - ; fi
+dd if="${in_lz}" bs=1 count=6 2> /dev/null | "${LZIP}" -tq
+if [ $? = 2 ] ; then printf . ; else printf - ; fail=1 ; fi
+dd if="${in_lz}" bs=1 count=20 2> /dev/null | "${LZIP}" -tq
+if [ $? = 2 ] ; then printf . ; else printf - ; fail=1 ; fi
"${LZIP}" -t "${in_lz}" || fail=1
"${LZIP}" -cd "${in_lz}" > copy || fail=1